{
  "virtualflag" : 0,
  "psdataentityname" : "RESOURCEPRICE",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "ResourcePrice",
  "noviewmode" : 1,
  "createdate" : "2021-02-16 15:22:57",
  "storagemode" : 1,
  "logicname" : "资源标准价格",
  "existingmodel" : 0,
  "enatempdata" : 0,
  "systemflag" : 0,
  "tablename" : "RESOURCEPRICE",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2021-02-16 15:22:57",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "DRGroup",
    "createdate" : "2021-02-16 15:23:01",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-02-16 15:22:59",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "predefinetype" : "CREATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 15:22:59",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 15:22:59",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 15:22:59"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-16 15:22:58",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "predefinetype" : "CREATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 15:22:59",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 15:22:59",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 15:22:59"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "ORDERVALUE",
    "psdatatypename" : "外键值附加数据",
    "validflag" : 1,
    "derpsdefid" : "Project/PSAPROJECTTYPE/ORDERVALUE",
    "physicalfield" : 0,
    "codename" : "OrderValue",
    "psdatatypeid" : "PICKUPDATA",
    "derpsdefname" : "ORDERVALUE",
    "createdate" : "2021-02-19 13:41:52",
    "pkey" : 0,
    "logicname" : "排序号",
    "majorfield" : 0,
    "deftype" : 3,
    "allowempty" : 1,
    "fkey" : 0,
    "psdername" : "DER1N_RESOURCEPRICE_PSAPROJECTTYPE_PSAPROJECTTYPEID",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_PSAPROJECTTYPE_PSAPROJECTTYPEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-19 13:41:52",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[ORDERVALUE][排序值]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-19 13:41:52",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[ORDERVALUE][排序值]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ORDERVALUE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-19 13:41:52"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "PSAPROJECTTYPEID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/PSAPROJECTTYPEID",
    "validflag" : 1,
    "derpsdefid" : "Project/PSAPROJECTTYPE/PSAPROJECTTYPEID",
    "physicalfield" : 1,
    "codename" : "PSAProjectTypeId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "PSAPROJECTTYPEID",
    "createdate" : "2021-02-16 16:10:07",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "logicname" : "项目类型标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 1,
    "psdername" : "DER1N_RESOURCEPRICE_PSAPROJECTTYPE_PSAPROJECTTYPEID",
    "tablename" : "RESOURCEPRICE",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_PSAPROJECTTYPE_PSAPROJECTTYPEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 16:10:08",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[PSAPROJECTTYPEID][项目类型标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 16:10:08",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[PSAPROJECTTYPEID][项目类型标识]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_PSAPROJECTTYPEID_EQ",
      "createdate" : "2021-02-16 16:10:08"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PSAPROJECTTYPEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 16:10:07"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "PSAPROJECTTYPENAME",
    "psdatatypename" : "外键值文本",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/PSAPROJECTTYPEID",
    "validflag" : 1,
    "derpsdefid" : "Project/PSAPROJECTTYPE/PSAPROJECTTYPENAME",
    "physicalfield" : 0,
    "codename" : "PSAProjectTypeName",
    "psdatatypeid" : "PICKUPTEXT",
    "derpsdefname" : "PSAPROJECTTYPENAME",
    "createdate" : "2021-02-17 19:32:20",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "logicname" : "项目类型",
    "majorfield" : 0,
    "deftype" : 3,
    "allowempty" : 1,
    "fkey" : 1,
    "psdername" : "DER1N_RESOURCEPRICE_PSAPROJECTTYPE_PSAPROJECTTYPEID",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_PSAPROJECTTYPE_PSAPROJECTTYPEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-17 19:32:20",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[PSAPROJECTTYPENAME][项目类型名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-17 19:32:20",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[PSAPROJECTTYPENAME][项目类型名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_PSAPROJECTTYPENAME_EQ",
      "createdate" : "2021-02-17 19:32:20"
    }, {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_PSAPROJECTTYPENAME_LIKE",
      "createdate" : "2021-02-17 19:32:20"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PSAPROJECTTYPENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-17 19:32:20"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "RESOURCEPRICEID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/RESOURCEPRICEID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ResourcePriceId",
    "psdatatypeid" : "GUID",
    "createdate" : "2021-02-16 15:22:57",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 1,
    "length" : 100,
    "logicname" : "资源标准价格标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 15:22:58",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[RESOURCEPRICEID][资源标准价格标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 15:22:58",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[RESOURCEPRICEID][资源标准价格标识]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESOURCEPRICEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 15:22:58"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "RESOURCEPRICENAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/RESOURCEPRICENAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ResourcePriceName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-16 15:22:58",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "length" : 200,
    "logicname" : "资源标准价格名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 15:22:58",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[RESOURCEPRICENAME][资源标准价格名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 15:22:58",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[RESOURCEPRICENAME][资源标准价格名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_RESOURCEPRICENAME_LIKE",
      "createdate" : "2021-02-16 15:22:58"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESOURCEPRICENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 15:22:58"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "RESOURCETYPEID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/RESOURCETYPEID",
    "validflag" : 1,
    "derpsdefid" : "<PSMODULE>/RESOURCETYPE/RESOURCETYPEID",
    "physicalfield" : 1,
    "codename" : "ResourceTypeId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "RESOURCETYPEID",
    "createdate" : "2021-02-16 16:09:54",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "logicname" : "资源类型标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 1,
    "psdername" : "DER1N_RESOURCEPRICE_RESOURCETYPE_RESOURCETYPEID",
    "tablename" : "RESOURCEPRICE",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_RESOURCETYPE_RESOURCETYPEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 16:09:54",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[RESOURCETYPEID][资源类型标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 16:09:54",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[RESOURCETYPEID][资源类型标识]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_RESOURCETYPEID_EQ",
      "createdate" : "2021-02-16 16:09:54"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESOURCETYPEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 16:09:54"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "RESOURCETYPENAME",
    "psdatatypename" : "外键值文本",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/RESOURCETYPEID",
    "validflag" : 1,
    "derpsdefid" : "<PSMODULE>/RESOURCETYPE/RESOURCETYPENAME",
    "physicalfield" : 0,
    "codename" : "ResourceTypeName",
    "psdatatypeid" : "PICKUPTEXT",
    "derpsdefname" : "RESOURCETYPENAME",
    "createdate" : "2021-02-17 19:32:14",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "logicname" : "资源类型",
    "majorfield" : 0,
    "deftype" : 3,
    "allowempty" : 1,
    "fkey" : 1,
    "psdername" : "DER1N_RESOURCEPRICE_RESOURCETYPE_RESOURCETYPEID",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_RESOURCETYPE_RESOURCETYPEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-17 19:32:14",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[RESOURCETYPENAME][资源类型名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-17 19:32:14",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[RESOURCETYPENAME][资源类型名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_RESOURCETYPENAME_EQ",
      "createdate" : "2021-02-17 19:32:14"
    }, {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_RESOURCETYPENAME_LIKE",
      "createdate" : "2021-02-17 19:32:14"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESOURCETYPENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-17 19:32:14"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "SITEID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/SITEID",
    "validflag" : 1,
    "derpsdefid" : "Base/SITE/SITEID",
    "physicalfield" : 1,
    "codename" : "SiteId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "SITEID",
    "createdate" : "2021-02-16 16:09:37",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "logicname" : "区域ID",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 1,
    "psdername" : "DER1N_RESOURCEPRICE_SITE_SITEID",
    "tablename" : "RESOURCEPRICE",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_SITE_SITEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 16:09:37",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[SITEID][地域ID]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 16:09:37",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[SITEID][地域ID]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_SITEID_EQ",
      "createdate" : "2021-02-16 16:09:37"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "SITEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 16:09:37"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "SITENAME",
    "psdatatypename" : "外键值文本",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/SITEID",
    "validflag" : 1,
    "derpsdefid" : "Base/SITE/SITENAME",
    "physicalfield" : 0,
    "codename" : "siteName",
    "psdatatypeid" : "PICKUPTEXT",
    "derpsdefname" : "SITENAME",
    "createdate" : "2021-02-17 19:32:07",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "logicname" : "区域",
    "majorfield" : 0,
    "deftype" : 3,
    "allowempty" : 1,
    "fkey" : 1,
    "psdername" : "DER1N_RESOURCEPRICE_SITE_SITEID",
    "psderid" : "<PSDATAENTITY>/DER1N_RESOURCEPRICE_SITE_SITEID",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-17 19:32:08",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[SITENAME][地域名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-17 19:32:08",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[SITENAME][地域名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_SITENAME_EQ",
      "createdate" : "2021-02-17 19:32:08"
    }, {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_SITENAME_LIKE",
      "createdate" : "2021-02-17 19:32:08"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "SITENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-17 19:32:07"
    } ]
  }, {
    "precision2" : 2,
    "enableuserinput" : 3,
    "psdefieldname" : "STANDPRICE",
    "psdatatypename" : "货币",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/STANDPRICE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StandPrice",
    "psdatatypeid" : "CURRENCY",
    "createdate" : "2021-02-18 19:19:24",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "length" : 12,
    "logicname" : "标准单价",
    "pssysunitid" : "Unit3",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-18 19:19:24",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[STANDPRICE][标准单价]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-18 19:19:24",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[STANDPRICE][标准单价]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STANDPRICE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-18 19:19:24"
    } ]
  }, {
    "precision2" : 2,
    "enableuserinput" : 3,
    "psdefieldname" : "TOTALPRICE",
    "psdatatypename" : "货币",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/TOTALPRICE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "TotalPrice",
    "psdatatypeid" : "CURRENCY",
    "createdate" : "2021-02-16 16:52:59",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "pkey" : 0,
    "length" : 12,
    "logicname" : "单价",
    "pssysunitid" : "Unit3",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 16:52:59",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[TOTALPRICE][合同金额]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 16:52:59",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[TOTALPRICE][合同金额]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TOTALPRICE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 16:52:59"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-02-16 15:23:00",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "predefinetype" : "UPDATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 15:23:00",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 15:23:00",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 15:23:00"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/RESOURCEPRICE/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-16 15:22:59",
    "psdetableid" : "<PSDATAENTITY>/RESOURCEPRICE",
    "predefinetype" : "UPDATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_RESOURCEPRICE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-16 15:23:00",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-16 15:23:00",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-16 15:22:59"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2021-02-16 15:22:57",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2021-02-16 15:22:57",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2021-02-16 15:22:57",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2021-02-16 15:22:57",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/RESOURCEPRICE",
    "psdetablename" : "RESOURCEPRICE",
    "tabletype" : "MAIN",
    "createdate" : "2021-02-16 15:23:24",
    "colinheritmode" : 1
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `RESOURCEPRICE`(\n`RESOURCEPRICEID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '资源标准价格标识' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`RESOURCEPRICENAME`  VARCHAR(200) COMMENT '资源标准价格名称' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`SITEID`  VARCHAR(60) COMMENT '区域ID' \n,`RESOURCETYPEID`  VARCHAR(100) COMMENT '资源类型标识' \n,`PSAPROJECTTYPEID`  VARCHAR(100) COMMENT '项目类型标识' \n,`TOTALPRICE`  DECIMAL(12,2) COMMENT '单价' \n,`STANDPRICE`  DECIMAL(12,2) COMMENT '标准单价' \n)COMMENT='资源标准价格';",
    "testsql" : "SELECT 1 FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "709ee013bc90b4c19e47a1a80d8fc70a",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCEPRICE",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "aac1540b31b6a75a77205749acb6cfdc",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "5a4efc90e051a811e21d3a8f4adb43cd",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.PSAPROJECTTYPEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `PSAPROJECTTYPEID`  VARCHAR(100)  COMMENT '项目类型标识' \n",
    "testsql" : "SELECT `PSAPROJECTTYPEID` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "74f012aa00d8d2a402946dfa09ed3589",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PSAPROJECTTYPEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.PSAPROJECTTYPEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE RESOURCEPRICE ADD CONSTRAINT F43F54581CF3AE5002 FOREIGN KEY(PSAPROJECTTYPEID) REFERENCES PSAPROJECTTYPE(PSAPROJECTTYPEID)",
    "psobjid" : "74f012aa00d8d2a402946dfa09ed3589",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PSAPROJECTTYPEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.RESOURCEPRICEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `RESOURCEPRICEID`  VARCHAR(100)  COMMENT '资源标准价格标识' \n",
    "testsql" : "SELECT `RESOURCEPRICEID` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "4406398b8fc7b8472f1a48add44b9c96",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCEPRICEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.RESOURCEPRICENAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `RESOURCEPRICENAME`  VARCHAR(200)  COMMENT '资源标准价格名称' \n",
    "testsql" : "SELECT `RESOURCEPRICENAME` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "9fda74b233577c29ad198439941d492e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCEPRICENAME",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.RESOURCETYPEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE RESOURCEPRICE ADD CONSTRAINT FAC0E9F569B672935E FOREIGN KEY(RESOURCETYPEID) REFERENCES RESOURCETYPE(RESOURCETYPEID)",
    "psobjid" : "9dec2990050197c72cdbb32009788e33",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCETYPEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.RESOURCETYPEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `RESOURCETYPEID`  VARCHAR(100)  COMMENT '资源类型标识' \n",
    "testsql" : "SELECT `RESOURCETYPEID` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "9dec2990050197c72cdbb32009788e33",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESOURCETYPEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.SITEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE RESOURCEPRICE ADD CONSTRAINT FBF136C43A543CE5AA FOREIGN KEY(SITEID) REFERENCES SITE(SITEID)",
    "psobjid" : "79b86e548367978d3a809e9f52741bff",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SITEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.SITEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `SITEID`  VARCHAR(60)  COMMENT '区域ID' \n",
    "testsql" : "SELECT `SITEID` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "79b86e548367978d3a809e9f52741bff",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SITEID",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.STANDPRICE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `STANDPRICE`  DECIMAL(12,2)  COMMENT '标准单价' \n",
    "testsql" : "SELECT `STANDPRICE` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "78dc19d5dde2ea1fc8e2bd334074ee57",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STANDPRICE",
    "createdate" : "2021-02-18 22:25:07"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.TOTALPRICE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `TOTALPRICE`  DECIMAL(12,2)  COMMENT '单价' \n",
    "testsql" : "SELECT `TOTALPRICE` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "3bba83ce6488ab721b35483ac9aedc01",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TOTALPRICE",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "6b245dacd14b53e61fd7401f708b89ca",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2021-02-16 17:12:06"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "RESOURCEPRICE.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `RESOURCEPRICE`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `RESOURCEPRICE` WHERE 1<>1",
    "psobjid" : "305aef310e949e4c9c59e06c9cd05fb0",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2021-02-16 17:12:06"
  } ]
}